const state = {
  phone: '', // 登录手机号
  token: '', // APP登录
  BarList: [], // 所有酒吧列表
  objCurrentBarInfo: {} // 当前所在酒吧
}

const getters = {
  phone (state) {
    return state.phone
  },
  token (state) {
    return state.token
  },
  BarList (state) {
    return state.BarList
  },
  objCurrentBarInfo (state) {
    return state.objCurrentBarInfo
  }
}

const mutations = {
  UPDATE_PHONE (state, value) {
    state.phone = value
  },
  UPDATE_TOKEN (state, value) {
    state.token = value
  },
  UPDATE_BARLIST (state, value) {
    state.BarList = value
  },
  UPDATE_OBJCURRENTBARINFO (state, value) {
    state.objCurrentBarInfo = value
  }
}

export default {
  namespaced: true,
  state,
  getters,
  mutations
}
